APIUser connections

Get user connection

Get a user connection by ID.

GET
/user/connections/{connection_id}

Get a user connection by ID.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

manage_connections

Path Parameters

connection_id*string
Formatuuid

Response Body

The request has succeeded.

application/json
  1. response
id*uuid
Formatuuid
mcp_id*uuid
Formatuuid
status*UserMcpConnectionStatus

Whether a user's connection to a resource is usable.

Value in"active""expired""revoked"
user_authorization*McpUserAuthorization

How this user's access was obtained. Differs from the resource's current setting until the user reconnects.

Value in"interactive""id_jag"
granted_scopes*array<string>

Scopes the user granted when they connected.

created_at*string
Formatdate-time
last_used_at?string

When the connection was last used to make a call.

Formatdate-time
last_refreshed_at?string

When the connection's access was last renewed.

Formatdate-time
Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/user/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "mcp_id": "92dad337-069f-4a18-a93d-2e7f16082ffb",  "status": "active",  "user_authorization": "interactive",  "granted_scopes": [    "string"  ],  "created_at": "2019-08-24T14:15:22Z",  "last_used_at": "2019-08-24T14:15:22Z",  "last_refreshed_at": "2019-08-24T14:15:22Z"}